LoadAddOn('Blizzard_TradeSkillUI')

local btnShadowlands		= CreateFrame('Button', nil, TradeSkillFrame, 'UIPanelButtonTemplate')
local btnBFA	= CreateFrame('Button', nil, TradeSkillFrame, 'UIPanelButtonTemplate')
local btnClear		= CreateFrame('Button', nil, TradeSkillFrame, 'UIPanelButtonTemplate')

do
	btnShadowlands:SetText('SL')
	btnShadowlands:SetWidth(60)
	btnShadowlands:SetHeight(25)
	btnShadowlands:ClearAllPoints()
	btnShadowlands:SetPoint('LEFT', TradeSkillFrame.SearchBox, 'RIGHT', 3, 0)
	btnShadowlands:SetScript('OnClick', function(self, key)
		local categories = {C_TradeSkillUI.GetCategories()}
		local categoryData

		C_TradeSkillUI.ClearRecipeCategoryFilter()

		for i, categoryID in ipairs(categories) do
			categoryData = C_TradeSkillUI.GetCategoryInfo(categoryID)
			if string.find(categoryData.name, 'Shadowlands') or string.find(categoryData.name, 'Shadowlands') then
				C_TradeSkillUI.SetRecipeCategoryFilter(categoryID)
				break
			end
		end
	end)
end

do
	btnBFA:SetText('BFA')
	btnBFA:SetWidth(60)
	btnBFA:SetHeight(25)
	btnBFA:ClearAllPoints()
	btnBFA:SetPoint('LEFT', btnShadowlands, 'RIGHT', 3, 0)
	btnBFA:SetScript('OnClick', function(self, key)
		local categories = {C_TradeSkillUI.GetCategories()}
		local categoryData

		C_TradeSkillUI.ClearRecipeCategoryFilter()

		for i, categoryID in ipairs(categories) do
			categoryData = C_TradeSkillUI.GetCategoryInfo(categoryID)
			if string.find(categoryData.name, 'Kul Tiran') or string.find(categoryData.name, 'Kul Tiran') then
				C_TradeSkillUI.SetRecipeCategoryFilter(categoryID)
				break
			end
		end
	end)
end

do
	btnClear:SetText('Clear')
	btnClear:SetWidth(60)
	btnClear:SetHeight(25)
	btnClear:ClearAllPoints()
	btnClear:SetPoint('LEFT', btnBFA, 'RIGHT', 3, 0)
	btnClear:SetScript('OnClick', function(self, key)
		C_TradeSkillUI.ClearRecipeCategoryFilter() 
	end)
end